{Notationen:
  _xo:TObject;
  _s:string;
}
unit AbstractSpielVar;

interface
uses sysutils;
type
  ESpielVorbei=class(Exception);
  EZugError=class(Exception); //Fehlerklasse beim Ziehen
  TSpielConfig=class
    procedure ActivateStandard;virtual;abstract;
    procedure Assign(Source: TSpielConfig);virtual;abstract;
  end;
  TZentralSpielVerwaltung=class
    procedure Init;virtual;abstract;
    procedure renderTo(ausgabe_xo:TObject);virtual;abstract;
    constructor create(moeglicheZuege_xo,ZugMerker_xo,ausgabeFeld_xo,aktiverSpieler_xo,StellungsInfo_xo,BerechnungsStatus_xo,meldungsFeld_xo:TObject;pfad_s:string);virtual;abstract;
  end;
implementation

end.
